# ErrorAnimationType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the type of animation to apply to the error provider.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ErrorAnimationType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ErrorAnimationType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                   |
| ---------- | --------------------------------------------------------------------------------------------- |
| **Blink**  | Blink animation, the element appears and disappears.                                          |
| **Bounce** | Bounce animation. The element bounces up and down.                                            |
| **None**   | No animation.                                                                                 |
| **Tada**   | Tada animation. The element is zoomed, giggles and returns to its original size and location. |

## Used By

| Name                                                                                     | Description                                                                                      |
| ---------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| [ErrorProvider.BlinkAnimation](/api/wisej.web/extenders/errorprovider.md#blinkanimation) | Returns or sets a value indicating the type of animation to perform when the error icon blinks.. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/wisej.web.erroranimationtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
